io.vertx.rxjava.ext.stomp

## Class Acknowledgement

- java.lang.Object
- - io.vertx.rxjava.ext.stomp.Acknowledgement

-     public class Acknowledgement
      extends Object

  Structure passed to acknowledgement handler called when a `ACK` or `NACK` frame is received. The handler receives an instance of `Acknowledgement` with the subscription `Frame` and the impacted messages. The list of messages depends on the type of acknowledgment used by the subscription.

  Subscriptions using the `client` mode receives all messages that were waiting for acknowledgment that were sent before the acknowledged messages. The list also contains the acknowledged message. This is a cumulative acknowledgement. Subscriptions using the `client-individual` mode receives a singleton list containing only the acknowledged message.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acknowledgement(Acknowledgement delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Frame>` | `frames()`
    `Object` | `getDelegate()`
    `static Acknowledgement` | `newInstance(Acknowledgement arg)`
    `Frame` | `subscription()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Acknowledgement

          public Acknowledgement(Acknowledgement delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### subscription

          public Frame subscription()

      Returns:
        the subscription frame

    - #### frames

          public List<Frame> frames()

      Returns:
        the list of frames that have been acknowledged / not-acknowledged. The content of the list depends on the type of subscription.

    - #### newInstance

          public static Acknowledgement newInstance(Acknowledgement arg)

Copyright © 2016. All rights reserved.